Loading...
Searching...
No Matches
pcl::poisson::MatrixEntry< T > Struct Template Reference

`#include <pcl/surface/3rdparty/poisson4/sparse_matrix.h>`

## Public Member Functions

| MatrixEntry (void)
| MatrixEntry (int i)

## Public Attributes

int | N
T | Value

## Detailed Description

template<class T>
struct pcl::poisson::MatrixEntry< T >

Definition at line 45 of file sparse_matrix.h.

## Constructor & Destructor Documentation

## MatrixEntry() [1/2]

template<class T >

pcl::poisson::MatrixEntry< T >::MatrixEntry | ( | void |  | ) |

inline

Definition at line 47 of file sparse_matrix.h.

References pcl::poisson::MatrixEntry< T >::N, and pcl::poisson::MatrixEntry< T >::Value.

## MatrixEntry() [2/2]

template<class T >

pcl::poisson::MatrixEntry< T >::MatrixEntry | ( | int | i | ) |

inline

Definition at line 48 of file sparse_matrix.h.

References pcl::poisson::MatrixEntry< T >::N, and pcl::poisson::MatrixEntry< T >::Value.

## Member Data Documentation

## N

template<class T >

int pcl::poisson::MatrixEntry< T >::N

Definition at line 49 of file sparse_matrix.h.

Referenced by pcl::poisson::MatrixEntry< T >::MatrixEntry(), pcl::poisson::MatrixEntry< T >::MatrixEntry(), pcl::poisson::SparseSymmetricMatrix< T >::Multiply(), pcl::poisson::SparseSymmetricMatrix< T >::Multiply(), pcl::poisson::MultiplyAtomic(), and pcl::poisson::MultiplyAtomic().

## Value

template<class T >

T pcl::poisson::MatrixEntry< T >::Value

Definition at line 50 of file sparse_matrix.h.

Referenced by pcl::poisson::MatrixEntry< T >::MatrixEntry(), pcl::poisson::MatrixEntry< T >::MatrixEntry(), pcl::poisson::SparseSymmetricMatrix< T >::Multiply(), pcl::poisson::SparseSymmetricMatrix< T >::Multiply(), pcl::poisson::MultiplyAtomic(), and pcl::poisson::MultiplyAtomic().

The documentation for this struct was generated from the following file:

- pcl/surface/3rdparty/poisson4/sparse_matrix.h